Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system.server
Interface ServerConfigImplMBean

All Known Implementing Classes:
  ServerConfigImpl

public interface ServerConfigImplMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Method Summary
`boolean` | `getBlockingShutdown()` Get the current value of the blocking shutdown flag.
`boolean` | `getExitOnShutdown()` Get the current value of the exit on shutdown flag.
`File` | `getHomeDir()` Get the local home directory which the server is running from.
`URL` | `getHomeURL()` Get the home URL which the server is running from.
`URL` | `getLibraryURL()` Get the home URL which the server is running from.
`URL` | `getPatchURL()` Get the patch URL for the server.
`boolean` | `getRequireJBossURLStreamHandlerFactory()` Get the current value of the requireJBossURLStreamHandlerFactory flag.
`String` | `getRootDeploymentFilename()` Get the filename of the root deployable that will be used to finalize the bootstrap process.
`File` | `getServerBaseDir()` Get the base directory for calculating server home directories.
`URL` | `getServerBaseURL()` Get the base directory for calculating server home URLs.
`URL` | `getServerConfigURL()` Get the server configuration URL.
`File` | `getServerDataDir()` Get the directory where local data will be stored.
`File` | `getServerHomeDir()` Get the server home directory.
`URL` | `getServerHomeURL()` Get the server home URL.
`URL` | `getServerLibraryURL()` Get the server library URL.
`String` | `getServerName()` Get the name of the server.
`File` | `getServerTempDir()` Get the directory where temporary files will be stored.
`void` | `setBlockingShutdown(boolean flag)` Enable or disable blocking when `Server.shutdown()` is called.
`void` | `setExitOnShutdown(boolean flag)` Enable or disable exiting the JVM when `Server.shutdown()` is called.
`void` | `setRequireJBossURLStreamHandlerFactory(boolean flag)` Set the RequireJBossURLStreamHandlerFactory flag.
`void` | `setRootDeploymentFilename(String filename)` Set the filename of the root deployable that will be used to finalize the bootstrap process.

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getHomeDir

    public File getHomeDir()

  Get the local home directory which the server is running from.

### getHomeURL

    public URL getHomeURL()

  Get the home URL which the server is running from.

### getLibraryURL

    public URL getLibraryURL()

  Get the home URL which the server is running from.

### getPatchURL

    public URL getPatchURL()

  Get the patch URL for the server.

### getServerName

    public String getServerName()

  Get the name of the server.

### getServerBaseDir

    public File getServerBaseDir()

  Get the base directory for calculating server home directories.

### getServerHomeDir

    public File getServerHomeDir()

  Get the server home directory.

### getServerTempDir

    public File getServerTempDir()

  Get the directory where temporary files will be stored.

### getServerDataDir

    public File getServerDataDir()

  Get the directory where local data will be stored.

### getServerBaseURL

    public URL getServerBaseURL()

  Get the base directory for calculating server home URLs.

### getServerHomeURL

    public URL getServerHomeURL()

  Get the server home URL.

### getServerLibraryURL

    public URL getServerLibraryURL()

  Get the server library URL.

### getServerConfigURL

    public URL getServerConfigURL()

  Get the server configuration URL.

### setExitOnShutdown

    public void setExitOnShutdown(boolean flag)

  Enable or disable exiting the JVM when `Server.shutdown()` is called. If enabled, then shutdown calls `Server.exit(int)`. If disabled, then only the shutdown hook will be run.

  Parameters:
    `flag` - True to enable calling exit on shutdown.

### getExitOnShutdown

    public boolean getExitOnShutdown()

  Get the current value of the exit on shutdown flag.

  Returns:
    The current value of the exit on shutdown flag.

### setBlockingShutdown

    public void setBlockingShutdown(boolean flag)

  Enable or disable blocking when `Server.shutdown()` is called. If enabled, then shutdown will be called in the current thread. If disabled, then the shutdown hook will be run ansynchronously in a separate thread.

  Parameters:
    `flag` - True to enable blocking shutdown.

### getBlockingShutdown

    public boolean getBlockingShutdown()

  Get the current value of the blocking shutdown flag.

  Returns:
    The current value of the blocking shutdown flag.

### setRequireJBossURLStreamHandlerFactory

    public void setRequireJBossURLStreamHandlerFactory(boolean flag)

  Set the RequireJBossURLStreamHandlerFactory flag. if false, exceptions when setting the URLStreamHandlerFactory will be logged and ignored.

  Parameters:
    `flag` - True to enable blocking shutdown.

### getRequireJBossURLStreamHandlerFactory

    public boolean getRequireJBossURLStreamHandlerFactory()

  Get the current value of the requireJBossURLStreamHandlerFactory flag.

  Returns:
    The current value of the requireJBossURLStreamHandlerFactory flag.

### setRootDeploymentFilename

    public void setRootDeploymentFilename(String filename)

  Set the filename of the root deployable that will be used to finalize the bootstrap process.

  Parameters:
    `filename` - The filename of the root deployable.

### getRootDeploymentFilename

    public String getRootDeploymentFilename()

  Get the filename of the root deployable that will be used to finalize the bootstrap process.

  Returns:
    The filename of the root deployable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.